%def_disable static

Name: raptor
Version: 1.2.0
Release: alt1.1

Summary: Raptor RDF Parser Toolkit for Redland
License: LGPL
Group: Development/Other
Url: http://www.redland.opensource.ac.uk/%name

Source: %name-%version.tar.bz2

Requires: lib%name = %version-%release

# Automatically added by buildreq on Tue Jan 27 2004
BuildRequires: flex gcc-c++ gcc-g77 glib2-devel libcurl-devel libexpat-devel libssl-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

%description
Raptor is the RDF Parser Toolkit for Redland that provides a set of
standalone RDF parsers, generating triples from RDF/XML or N-Triples.

%package -n lib%name
Summary: Dynamic libraries from %name
Group: System/Libraries

%description -n lib%name
Dynamic libraries from %name.

%package -n lib%name-devel
Summary: Header files and static libraries from %name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
export PATH=`pwd`:$PATH
%configure \
    %{subst_enable static}

# SMP-incompatible build
%make

%install
%makeinstall

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%exclude %_bindir/%name-config
%_man1dir/*
%exclude %_man1dir/%name-config*
%doc AUTHORS ChangeLog LICENSE.txt NEWS README
%doc MPL.html

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/%name-config
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_man1dir/%name-config*
%_man3dir/*

%changelog
* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.0-alt1.1
- Rebuilt with openssl-0.9.7d.

* Tue Jan 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt1
- new version.

* Sat Nov 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- new version.
- use libtool-1.4
- do not package .la files.

* Tue Feb 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.8-alt1
- Adopted for Sisyphus.

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.9.8-1mdk
- initial package
